<?xml version='1.0'?>

<reference anchor='RFC3529'>

<front>
<title abbrev='Using XML-RPC in BEEP'>Using Extensible Markup Language-Remote Procedure Calling (XML-RPC)
in Blocks Extensible Exchange Protocol (BEEP)</title>
<author initials='W' surname='Harold' fullname='Ward K Harold'>
<organization>IBM</organization>
<address>
<postal>
<street>11400 Burnet Road</street>
<city>Austin</city>
<region>Texas</region>
<code>78758</code>
<country>US</country></postal>
<phone>+1 512 838 3022</phone>
<email>wharold@us.ibm.com</email></address></author>
<date month='April' year='2003' />
<area>Applications</area>
<keyword>BEEP</keyword>
<keyword>XML-RPC</keyword>
<abstract>
<t>XML-RPC is an Extensible Markup Language-Remote Procedure Calling
protocol that works over the
Internet. It defines an XML format for messages that are transfered
between clients and servers using HTTP. An XML-RPC message encodes
either a procedure to be invoked by the server, along with the
parameters to use in the invocation, or the result of an
invocation. Procedure parameters and results can be scalars, numbers,
strings, dates, etc.; they can also be complex record and list
structures.</t>
<t>This document specifies a how to use the Blocks Extensible Exchange
Protocol (BEEP) to transfer messages encoded in the XML-RPC format
between clients and servers.</t></abstract></front>

<seriesInfo name='RFC' value='3529' />
<format type='HTML' octets='38462' target='http://xml.resource.org/public/rfc/html/rfc3529.html' />
<format type='XML' octets='37483' target='http://xml.resource.org/public/rfc/xml/rfc3529.xml' />
</reference>
